polybori::DerefProxy< Type > Class Template Reference

`#include <embed.h>`

## Public Member Functions

| DerefProxy (const Type &val)
DerefProxy< self > | operator* ()
const Type & | get () const

## Constructor & Destructor Documentation

template<class Type>

polybori::DerefProxy< Type >::DerefProxy | ( | const Type & | val | ) |

inline

## Member Function Documentation

template<class Type>

const Type& polybori::DerefProxy< Type >::get | ( |  | ) | const

inline

Referenced by polybori::object::operator()().

template<class Type>

DerefProxy<self> polybori::DerefProxy< Type >::operator* | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- embed.h